package net.knarcraft.blockhunt;

import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.inventory.ItemStack;
import org.bukkit.potion.PotionEffect;

import java.util.Collection;

public class PlayerArenaData {
    public final GameMode pGameMode;
    public final ItemStack[] pInventory;
    public final ItemStack[] pArmor;
    public final Float pEXP;
    public final Integer pEXPL;
    public final Double pMaxHealth;
    public final Double pHealth;
    public final Integer pFood;
    public final Collection<PotionEffect> pPotionEffects;
    public final boolean pFlying;

    public PlayerArenaData(Location pLocation, GameMode pGameMode, ItemStack[] pInventory, ItemStack[] pArmor, Float pEXP, Integer pEXPL, Double pMaxHealth, Double pHealth, Integer pFood,
                           Collection<PotionEffect> pPotionEffects, boolean pFlying) {
        this.pGameMode = pGameMode;
        this.pInventory = pInventory;
        this.pArmor = pArmor;
        this.pEXP = pEXP;
        this.pEXPL = pEXPL;
        this.pMaxHealth = pMaxHealth;
        this.pHealth = pHealth;
        this.pFood = pFood;
        this.pPotionEffects = pPotionEffects;
        this.pFlying = pFlying;
    }
}
